# should get replaced by ppx_compare
Name:           ocaml-comparelib
Version:        113.00.00
Release:        %mkrel 1
Summary:        Camlp4 syntax extension that derives comparison functions from type representations
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://ocaml.janestreet.com/
Source0:        https://github.com/janestreet/comparelib/archive/%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-type-conv >= 109.15.00
BuildRequires:  ocaml-camlp4-devel
Requires:       ocaml-camlp4

%description
Pa_compare is a camlp4 syntax extension that derives comparison functions
from type representations. The scaffolded functions are usually much faster
than ocaml's [Pervasives.compare] (cf. the programs in benchmark/).
Scaffolding functions also gives you more flexibilty by allowing you to
override them for a specific type and more safety by making sure that you
only compare comparable values.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n comparelib-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make

rm -f */.hgignore.in

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/comparelib
make install

%files
%doc README.txt LICENSE.txt
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/comparelib
%{_libdir}/ocaml/comparelib/META
%{_libdir}/ocaml/comparelib/*.cmi
%{_libdir}/ocaml/comparelib/*.cma
%{_libdir}/ocaml/comparelib/*.cmxs

%files devel
%doc test/
%doc sample_output/
%{_libdir}/ocaml/comparelib/*.a
%{_libdir}/ocaml/comparelib/*.cmxa
%{_libdir}/ocaml/comparelib/*.cmx
%{_libdir}/ocaml/comparelib/*.annot
%{_libdir}/ocaml/comparelib/*.cmt
%{_libdir}/ocaml/comparelib/*.ml


%changelog
* Sat Feb 13 2016 pterjan <pterjan> 113.00.00-1.mga6
+ Revision: 959464
- Update to 113.00.00

* Fri Feb 12 2016 umeabot <umeabot> 109.27.00-5.mga6
+ Revision: 956741
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.27.00-4.mga5
+ Revision: 740232
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.27.00-3.mga5
+ Revision: 683008
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.27.00-2.mga4
+ Revision: 531195
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 blue_prawn <blue_prawn> 109.27.00-1.mga4
+ Revision: 462536
- updated to last version 109.27.00

* Sat Jun 01 2013 malo <malo> 109.15.00-1.mga4
+ Revision: 434010
- update to 109.15.00

* Sat Jan 12 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319768
- constrain the set of libs from janest to be the same version
- updated to last version 108.07.01

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301548
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300346
- build requires ocaml-type-conv
- requires camlp4
- imported package ocaml-comparelib

